﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class footstepScript : MonoBehaviour {

    public AudioClip grassSound, woodSound, curSound;
    public float volmin, volmax, pitchmin, pitchmax;
    AudioSource audioS;
    private float runCoef = 2;

	void Start () {
        audioS = GetComponent<AudioSource>();
	}

    private void OnCollisionStay(Collision col)
    {
        switch (col.gameObject.tag)
        {
            case "grass":
                curSound = grassSound;
                break;

            case "wood":
                curSound = woodSound;
                break;
        }
    }

     void OnCollisionExit(Collision collision)
    {
        curSound = null;
    }

    void Update () {
		
        if(Input.GetAxis("Horizontal")!=0 || Input.GetAxis("Vertical") != 0)
        {
            if(!audioS.isPlaying)
            {
                audioS.volume = Random.Range(volmin, volmax);
                audioS.pitch = Random.Range(pitchmin, pitchmax);

                if(Input.GetKey(KeyCode.LeftShift))
                {
                    audioS.pitch *= runCoef;
                }
                audioS.PlayOneShot(curSound);
            }
        }
	}
}
